/**
*Disk Smart App
* Implementing an App to show the disk smart information
*/
var DiskSmartApp = DiskSmartApp || {};  //Define Disk Smart App namespace.
/**
*Constructor UNAS App
*/
DiskSmartApp.App = function () {
    this.id = 'Disk Smart';
    this.name = 'Disk Smart';
    this.version = '6.0.17';
    this.active = false;
    this.menuIcon = '/apps/disksmart/images/logo.png?v=6.0.17&';
    this.shortcutIcon = '/apps/disksmart/images/logo.png?v=6.0.17&';
    this.entryUrl = '/apps/disksmart/disksmart.html?v=6.0.17&';
    //this.entryHelpUrl = '/apps/disksmart/disksmart_help.html?v=6.0.17&';
    var self = this;
    this.DiskSmartAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('Disk Smart')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'DiskSmartAppWindow',
            title: UNAS._('Disk Smart'),
			icon: '/apps/disksmart/images/logo_small.png?v=6.0.17&',
            width: 1000,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            loadMethod: 'xhr',
            contentURL: '/apps/disksmart/disksmart.html?v=6.0.17&',
			require: {  css: ['/apps/disksmart/css/disksmart.css'] },
			onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Disk Smart",'DiskSmartAppWindow')}
        });
    };
    this.DiskSmartUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Disk Smart');
    	UNAS.RemoveMenu('Disk Smart');
    	UNAS.RemoveAppFromGroups('Disk Smart', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('Disk Smart', 'Help');
    	UNAS.RemoveAppFromApps('Disk Smart');
    }
    new UNAS.Menu('UNAS_ControlPanel_Storage_Menu', this.name, this.menuIcon, 'Disk Smart', '', this.DiskSmartAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Disk Smart', this.DiskSmartAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Storage', 'Location' : 7, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Storage', 'Location' : 7, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('Disk Smart', UNAS._('Disk Smart')); //translate menu
        //UNAS.SetShortcutTitle('Disk Smart', UNAS._('Disk Smart'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('DiskSmartAppWindow', UNAS._('Disk Smart'));
        }
    };
    UNAS.LoadTranslation('/apps/disksmart/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.DiskSmartAppWindow, this.DiskSmartUninstall);
};
new DiskSmartApp.App();
