function GetDisksList() {
  ShowDiskSmartModal();
  var _data = {
    "cmd": "disk_alload",
    "token": UToken,
    'params': {
      flags: 0x59
    }
  };
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    async: true,
    dataType: 'json',
    contentType: 'application/json',
    data: JSON.encode(_data),
    timeout: 30000,
    success: function(data) {
      DisplayDataInDiskSmartTable(data.results);
      HideDiskSmartModal();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      HideDiskSmartModal();
    }
  });
}

function DisplayDataInDiskSmartTable(data) {
  jQuery('#disksmart_disks_diskslist').html('');
  // var len = data.length;
  var k = 0;
  for (var i in data) {
    if (data.hasOwnProperty(i)) {
      var tr = '';
      var sleep = data[i].sleep ? "standby" : "active/idle";
      var fahrenheit = "N/A";
      if (data[i].temperature != undefined) {
        fahrenheit = data[i].temperature + "°C" + "/" + data[i].fahrenheit + "°F";
      }
      var sector = data[i].sector ? (data[i].sector + "B") : "--";
      var healthy = data[i].warn ? "Warning" : 'Healthy';
      var color = data[i].warn ? "red" : 'green';
      var model = data[i].vendor + ' ' + data[i].model;
      model = model == ' ' ? '--' : model;
      var devdom = unasTemplateAppend('#disksmart_disks_diskslist', 'jvt-devItem', 'jvt-devItem-' + k);

      devdom.find('.jvc-hardDrive').text(k + 1);
      devdom.find('.jvc-devName').text(data[i].dev || "--");
      devdom.find('.jvc-temperature').text(fahrenheit);
      devdom.find('.jvc-size').text(UNAS.getReadableSizeString(data[i].size));
      devdom.find('.jvc-physicalSector').text(sector);
      devdom.find('.jvc-model').text(model);
      devdom.find('.jvc-state').html('##$@disksmart@$##' + sleep + '##$@disksmart@$##');
      devdom.find('.jvc-health').css('color', color);
      devdom.find('.jvc-health').html('##$@disksmart@$##' + healthy + '##$@disksmart@$##');

      devdom.find('.smart').attr('value', data[i].dev + '&serial=' + data[i].serial);
      devdom.find('.reset').attr('value', data[i].dev);
      devdom.find('.standby').attr('value', data[i].dev);
      devdom.find('.activate').attr('value', data[i].dev);
      devdom.find('.blink').attr('value', data[i].dev);

      if (data[i].sysdisk) {
        devdom.find('.reset').remove();
      }

      if (sleep == "standby") {
        devdom.find('.standby').remove();
      } else {
        devdom.find('.activate').remove();
      }
      k++;
    }
  }

  pageTranslators('disksmart_disks_diskslist');
}

function ShowDiskSmartModal() {
  jQuery('#disksmart_disks_waiting_content').attr("style", "display:block;");
  jQuery('#disksmart_disks_waiting_logo').attr("style", "display:block;");
}

function HideDiskSmartModal() {
  jQuery('#disksmart_disks_waiting_content').attr("style", "display:none;");
  jQuery('#disksmart_disks_waiting_logo').attr("style", "display:none;");
}

function ShowSmart(e) {
  var value = jQuery(e).attr("value");
  var url = '/apps/disksmart/m/disksmart_smart.html?v=6.0.15&disk=' + value;
  jQuery(document.body).css({
　　"overflow":"hidden",
　　'position': 'fixed'
});
  ShowSmartWindowFun(value, url);
}

function ShowForceReset(e) {
  var value = jQuery(e).attr("value");
  var url = '/apps/disksmart/m/disksmart_reset.html?v=6.0.15&disk=' + value;
  ForceReset_window(value, url);
}

function ForceActivate(e) {
  ShowDiskSmartModal();
  var value = jQuery(e).attr("value");
  var _data = {
    "cmd": "disksmart_disk_activate",
    "token": UToken,
    "params": {
      "disk": value
    }
  };
  jQuery.ajax({
    url: "/apps/disksmart/includes/index.php",
    type: "POST",
    async: true,
    dataType: 'json',
    contentType: 'application/json',
    data: JSON.encode(_data),
    timeout: 30000,
    success: function(data) {
      if (data.err == 0) { //true,success
        GetDisksList(); //reload
      } else {
        alert(UNAS._("##$@disksmart@$##Cannot wake up disk##$@disksmart@$## ##$@disksmart@$##This disk may not support this attribute##$@disksmart@$##"));
      }

      HideDiskSmartModal();

    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      HideDiskSmartModal();
    }
  });
}

function ForceStandby(e) {
  ShowDiskSmartModal();
  var value = jQuery(e).attr("value");
  var _data = {
    "cmd": "disksmart_disk_standby",
    "token": UToken,
    "params": {
      "disk": value
    }
  };
  jQuery.ajax({
    url: "/apps/disksmart/includes/index.php",
    type: "POST",
    async: true,
    dataType: 'json',
    contentType: 'application/json',
    data: JSON.encode(_data),
    timeout: 30000,
    success: function(data) {
      if (data.err == 0) { //true,success
        GetDisksList(); //reload
      } else {
        alert(UNAS._("##$@disksmart@$##Cannot put disk in standby##$@disksmart@$##"));
      }

      HideDiskSmartModal();

    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      HideDiskSmartModal();
    }
  });
}

function BlinkDisk(e) {
  ShowDiskSmartModal();
  var value = jQuery(e).attr("value");
  var _data = {
    "cmd": "disksmart_disk_blink",
    "token": UToken,
    "params": {
      "disk": value
    }
  };
  jQuery.ajax({
    url: "/apps/disksmart/includes/index.php",
    type: "POST",
    async: true,
    dataType: 'json',
    contentType: 'application/json',
    data: JSON.encode(_data),
    timeout: 30000,
    success: function(data) {
      //alert(data);
      HideDiskSmartModal();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      HideDiskSmartModal();
      alert(textStatus);
    }
  });
}

function ShowSmartWindowFun(value, url) {
  var cwh = getClientWH();
  var ShowSmartWindow = new MUI.Modal({
    id: 'ShowSmartWindow',
    title: "S.M.A.R.T.",
    contentURL: url,
    modal: true,
    addClass:'mobile-modal',
    width: cwh.w,
    height: parseInt(cwh.h * 0.74),
    onClose:function(){
        jQuery(document.body).css({
      　　"overflow":"auto",
      　　'position': 'relative'
      });
    }
  });
  ShowSmartWindow.ProcessShowSmart = function() {
    GetDisksList();
  }
}

function ForceReset_window(value, url) {
  var cwh = getClientWH();
  var ShowResetWindow = new MUI.Modal({
    id: 'ShowResetWindow',
    title: UNAS._("##$@disksmart@$##Force Reset##$@disksmart@$##"),
    contentURL: url,
    modal: true,
    addClass: 'delete-modal',
    width: parseInt(cwh.w * 0.9),
    height: 310,
  });
  ShowResetWindow.ProcessShowSmart = function() {
    GetDisksList();
  }
}


(function() {

  GetDisksList();

})();
